Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Class ColorInterpretation

    Object
      CodeList<ColorInterpretation>
          ColorInterpretation

All Implemented Interfaces:
  Serializable, Comparable<ColorInterpretation>

Deprecated. No replacement.

    @UML(identifier="CV_ColorInterpretation",
         specification=OGC_01004)
    public final class ColorInterpretation

extends CodeList<ColorInterpretation>

Specifies the mapping of a band to a color model component.

Since:
  GeoAPI 1.0
Version:
  Grid Coverage specification 1.0
See Also:
  `PaletteInterpretation`, `SampleDimension`, Serialized Form

Field Summary
`static ColorInterpretation` | `ALPHA_BAND` Deprecated. Alpha Band for the RGB color model components.
`static ColorInterpretation` | `BLACK_BAND` Deprecated. Black Band for the CMYK color model.
`static ColorInterpretation` | `BLUE_BAND` Deprecated. Blue Band for the RGB color model components.
`static ColorInterpretation` | `CYAN_BAND` Deprecated. Cyan Band for the CMYK color model.
`static ColorInterpretation` | `GRAY_INDEX` Deprecated. Band is an index into a lookup table.
`static ColorInterpretation` | `GREEN_BAND` Deprecated. Greend Band for the RGB color model components.
`static ColorInterpretation` | `HUE_BAND` Deprecated. Hue Band for the HLS color model.
`static ColorInterpretation` | `LIGHTNESS_BAND` Deprecated. Lightness Band for the HLS color model.
`static ColorInterpretation` | `MAGENTA_BAND` Deprecated. Magenta Band for the CMYK color model.
`static ColorInterpretation` | `PALETTE_INDEX` Deprecated. Band is a color index into a color table.
`static ColorInterpretation` | `RED_BAND` Deprecated. Red Band for the RGB color model components.
`static ColorInterpretation` | `SATURATION_BAND` Deprecated. Saturation Band for the HLS color model.
`static ColorInterpretation` | `UNDEFINED` Deprecated. Band is not associated with a color model component.
`static ColorInterpretation` | `YELLOW_BAND` Deprecated. Yellow Band for the CMYK color model.

Method Summary
`CodeList[]` | `family()` Deprecated. Returns the list of enumerations of the same kind than this enum.
`static ColorInterpretation` | `valueOf(String code)` Deprecated. Returns the ColorInterpretation that matches the given string, or returns a new one if none match it.
`static ColorInterpretation[]` | `values()` Deprecated. Returns the list of `ColorInterpretation`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNDEFINED

    @UML(identifier="CV_Undefined",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ColorInterpretation UNDEFINED

  Deprecated.
  Band is not associated with a color model component.

### GRAY_INDEX

    @UML(identifier="CV_GrayIndex",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ColorInterpretation GRAY_INDEX

  Deprecated.
  Band is an index into a lookup table.

  See Also:
    `PALETTE_INDEX`, `PaletteInterpretation.GRAY`

### PALETTE_INDEX

    @UML(identifier="CV_PaletteIndex",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ColorInterpretation PALETTE_INDEX

  Deprecated.
  Band is a color index into a color table.

  See Also:
    `GRAY_INDEX`

### RED_BAND

    @UML(identifier="CV_RedBand",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ColorInterpretation RED_BAND

  Deprecated.
  Red Band for the RGB color model components.

  See Also:
    `GREEN_BAND`, `BLUE_BAND`, `ALPHA_BAND`, `PaletteInterpretation.RGB`

### GREEN_BAND

    @UML(identifier="CV_GreenBand",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ColorInterpretation GREEN_BAND

  Deprecated.
  Greend Band for the RGB color model components.

  See Also:
    `RED_BAND`, `BLUE_BAND`, `ALPHA_BAND`, `PaletteInterpretation.RGB`

### BLUE_BAND

    @UML(identifier="CV_BlueBand",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ColorInterpretation BLUE_BAND

  Deprecated.
  Blue Band for the RGB color model components.

  See Also:
    `RED_BAND`, `GREEN_BAND`, `ALPHA_BAND`, `PaletteInterpretation.RGB`

### ALPHA_BAND

    @UML(identifier="CV_AlphaBand",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ColorInterpretation ALPHA_BAND

  Deprecated.
  Alpha Band for the RGB color model components. Alpha band may or may not be present.

  See Also:
    `RED_BAND`, `GREEN_BAND`, `BLUE_BAND`, `PaletteInterpretation.RGB`

### HUE_BAND

    @UML(identifier="CV_HueBand",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ColorInterpretation HUE_BAND

  Deprecated.
  Hue Band for the HLS color model.

  See Also:
    `SATURATION_BAND`, `LIGHTNESS_BAND`, `PaletteInterpretation.HLS`

### SATURATION_BAND

    @UML(identifier="CV_SaturationBand",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ColorInterpretation SATURATION_BAND

  Deprecated.
  Saturation Band for the HLS color model.

  See Also:
    `HUE_BAND`, `LIGHTNESS_BAND`, `PaletteInterpretation.HLS`

### LIGHTNESS_BAND

    @UML(identifier="CV_LightnessBand",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ColorInterpretation LIGHTNESS_BAND

  Deprecated.
  Lightness Band for the HLS color model.

  See Also:
    `HUE_BAND`, `SATURATION_BAND`, `PaletteInterpretation.HLS`

### CYAN_BAND

    @UML(identifier="CV_CyanBand",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ColorInterpretation CYAN_BAND

  Deprecated.
  Cyan Band for the CMYK color model.

  See Also:
    `MAGENTA_BAND`, `YELLOW_BAND`, `BLACK_BAND`, `PaletteInterpretation.CMYK`

### MAGENTA_BAND

    @UML(identifier="CV_MagentaBand",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ColorInterpretation MAGENTA_BAND

  Deprecated.
  Magenta Band for the CMYK color model.

  See Also:
    `CYAN_BAND`, `YELLOW_BAND`, `BLACK_BAND`, `PaletteInterpretation.CMYK`

### YELLOW_BAND

    @UML(identifier="CV_YellowBand",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ColorInterpretation YELLOW_BAND

  Deprecated.
  Yellow Band for the CMYK color model.

  See Also:
    `CYAN_BAND`, `MAGENTA_BAND`, `BLACK_BAND`, `PaletteInterpretation.CMYK`

### BLACK_BAND

    @UML(identifier="CV_BlackBand",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ColorInterpretation BLACK_BAND

  Deprecated.
  Black Band for the CMYK color model.

  See Also:
    `CYAN_BAND`, `MAGENTA_BAND`, `YELLOW_BAND`, `PaletteInterpretation.CMYK`

Method Detail

### values

    public static ColorInterpretation[] values()

  Deprecated.
  Returns the list of `ColorInterpretation`s.

### family

    public CodeList[] family()

  Deprecated.
  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<ColorInterpretation>`

### valueOf

    public static ColorInterpretation valueOf(String code)

  Deprecated.
  Returns the ColorInterpretation that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.